#include <avr/io.h>
#include <stdint.h>
#include <util/delay.h>


//#define DEBUG						//kill delays while debugging
#define  DOGM						//accept DOGM displays, too
#define  USE_BARGRAPH				//should use bargraph

uint16_t BtnMin;
uint16_t BtnMax;
uint16_t BtnVal;
uint8_t  Mode;


#define  MODE_MAX	(7)
#define  BTN_BOUNCE	(6)
#define	 BTN_WAIT	(150)
#define	 BTN_SPEED	(10)


#define  LCD_ROWS	(2)				//No. of LCD lines
enum {PLAIN, BAR};

#define  LCD_RS		(4) 			//Pin fr RS
#define  LCD_E		(5) 			//Pin fr Enable
#define  LCDDDR		(DDRA)
#define  LCDPORT	(PORTA)




extern void init_lcd(void);
extern void put_string_p_lcd(const char *Buffer);
extern void put_number_lcd(int, char);
extern void put_position_lcd(uint8_t, uint8_t);
extern void clear_lcd(void);
extern void check_btns(void);
